Contents
Endpoints
Every endpoint is a GET, relative to https://uk-cinema-api.co.uk/api/v4, and needs your API token (see Authentication). List responses hold their results in data, and pagination or collection details in meta.
Films
Operations about films
- GET /films Get films
- GET /films/{id} Get film
Cinemas
Operations about cinemas
- GET /cinemas Get cinemas
- GET /cinemas/{id} Get cinema
- GET /cinemas/{chain}/external/{external_id} Get cinema by chain and external ID
Showtimes
Operations about showtimes
- GET /showtimes Get showtimes
- GET /showtimes/{id} Get showtime
- GET /showtimes/{chain}/external/{external_id} Get showtime by chain and external ID
Attributes
Operations about showtime attributes
- GET /attributes Get showtime attributes
Chains
Operations about cinema chains
- GET /chains Get chains
- GET /chains/{id} Get chain
- GET /chains/{id}/cinemas Get chain cinemas
Countries
Operations about the countries served
- GET /countries Get countries